{{- if .Values.ingress.enabled -}}
{{- $fullName := include "login-page.fullname" . -}}
{{- $svcPort := .Values.service.port -}}
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: {{ $fullName }}
  labels:
    {{- include "login-page.labels" . | nindent 4 }}
{{- if or .Values.ingress.class .Values.ingress.annotations }}
  annotations:
  {{- if .Values.ingress.class }}
    kubernetes.io/ingress.class: {{ .Values.ingress.class }}
  {{- end }}
  {{- with .Values.ingress.annotations }}
    {{- toYaml . | nindent 4 }}
  {{- end}}
{{- end }}
spec:
{{- if .Values.ingress.tls }}
  tls:
  {{- range .Values.ingress.tls }}
    - hosts:
      {{- range .hosts }}
        - {{ . | quote }}
      {{- end }}
      secretName: {{ .secretName }}
  {{- end }}
{{- end }}
  rules:
    {{- range .Values.ingress.hosts }}
      - host: {{ . | quote }}
        http:
          paths:
            - path: /
              pathType: ImplementationSpecific
              backend:
                service:
                  name: {{ $fullName }}
                  port: 
                    name: http
    {{- end }}
{{- end }}
